2009-12-31  Eirik Byrkjeflot Anonsen  <eirik@opera.com>
	    Nick Clifton  <nickc@redhat.com>

	* objcopy.c (add_redefine_syms_file): Avoid symbol buffer
	overrun.

2009-12-21  Alan Modra  <amodra@gmail.com>

	* MAINTAINERS: Update my email address.

2009-12-18  Ulrich Weigand  <uweigand@de.ibm.com>

	* readelf.c (get_note_type): Handle NT_S390_HIGH_GPRS notes.

2009-12-11  Nick Clifton  <nickc@redhat.com>

	* Makefile.in: Regenerate.
	* doc/Makefile.in: Regenerate.
	* ar.c: Fix shadowed variable warnings.
	* bucomm.c: Likewise.
	* coffgrok.c: Likewise.
	* configure: Likewise.
	* dlltool.c: Likewise.
	* dllwrap.c: Likewise.
	* dwarf.c: Likewise.
	* ieee.c: Likewise.
	* nlmconv.c: Likewise.
	* nm.c: Likewise.
	* objcopy.c: Likewise.
	* objdump.c: Likewise.
	* prdbg.c: Likewise.
	* readelf.c: Likewise.
	* resbin.c: Likewise.
	* resrc.c: Likewise.
	* resres.c: Likewise.
	* srconv.c: Likewise.
	* stabs.c: Likewise.
	* sysdump.c: Likewise.
	* sysinfo.y: Likewise.
	* wrstabs.c: Likewise.

2009-12-10  Tristan Gingold  <gingold@adacore.com>

	* addr2line.c (pretty_print): New variable.
	(long_options): Add an entry for -p/--pretty-print.
	(usage): Document -p/--pretty-print.
	(translate_addresses): Handle pretty_print.  Reindent.
	(main): Handle option -p.
	* doc/binutils.texi (addr2line): Document -p/--pretty-print.
	* NEWS: Mention new feature.

2009-12-09  Tristan Gingold  <gingold@adacore.com>

	* addr2line.c (translate_addresses): Display addresses
	if option -a is used.
	(with_addresses): New variable.
	(long_options): Add option '-a'.
	(usage): Add usage for option '-a'.
	(main): Handle option '-a'.
	* doc/binutils.texi (addr2line): Document option '-a'.
	* NEWS: Mention new feature.

2009-12-08  Cary Coutant  <ccoutant@google.com>

	* dwarf.c (dwarf_select_sections_by_names): Handle pubtypes correctly.
	(debug_displays): Remove duplicate entry for debug_pubtypes.

2009-12-03  David Daney  <ddaney@caviumnetworks.com>
	    Adam Nemet  <adambnemet@gmail.com>

	* readelf.c (get_machine_flags): Handle E_MIPS_MACH_OCTEON2 case.

2009-12-03  Nick Clifton  <nickc@redhat.com>

	PR binutils/11045
	* dwarf.c (do_debug_pubtypes): New variable.
	(dwarf_select_sections_by_names): Handle .debug_pubtypes.
	(dwarf_select_sections_by_letters): Add 't' for .debug_pubtype.
	(dwarf_select_sections_all): Set do_debug_pubtypes.
	(debug_displays): Add support for .debug_pubtypes.
	* dwarf.h (do_debug_pubtypes): Export.
	* objdump.c (usage): Add -wt or --dwarf=pubtypes.
	* readelf.c (usage): Likewise.
	(process_section_headers): Enable debug display if
	do_debug_pubtypes is set.
	* doc/binutils.texi: Document -wt/--dwarf=pubtypes option.

2009-12-02  Jerker Bäck  <jerker.back@gmail.com>

	PR binutils/11017
	* dlltool.c (PAGE_SIZE): Delete.
	(PAGE_MASK): Provide default definition based on COFF_PAGE_SIZE.
	Check for DLLTOOL_DEFAULT_MX86_64 and DLLTOOL_DEFAULT_I386.

2009-12-01  Joseph Myers  <joseph@codesourcery.com>

	* readelf.c (get_machine_name, get_osabi_name): Handle more
	allocated values.

2009-11-30  Joseph Myers  <joseph@codesourcery.com>

	* configure: Regenerate.

2009-11-20  Nick Clifton  <nickc@redhat.com>

	* readelf.c: Include xc16x.h.
	(dump_relocations): Handle relocations for the xc16x target.
	(get_machine_name): Accept EM_C166 for xc16x targets.
	(is_32bit_abs_reloc): Add support for xc16c 32-bit absolute reloc.
	(is_16bit_abs_reloc): Add support for xc16c 16-bit absolute reloc.
	(is_none_reloc): Add support for xc16c null reloc.
	
2009-11-20  Ben Elliston  <bje@au.ibm.com>

	* Makefile.am (syslex.o): Use $(NO_WERROR) not -Wno-error.
	(sysinfo.o): Likewise.
	* Makefile.in: Regenerate.

2009-11-19  Ben Elliston  <bje@au.ibm.com>

	* arlex.l: Enable noinput, nounput flex options.
	* syslex.l: Likewise.

2009-11-17  Paul Brook  <paul@codesourcery.com>
	    Daniel Jacobowitz  <dan@codesourcery.com>

	* readelf.c (arm_attr_tag_CPU_arch): Add v7E-M.

2009-11-16  Kai Tietz  <kai.tietz@onevision.com>

	* windmc.c (set_endianess): Use bfd_get_target_info.
	* windres.c (set_endianess): Likewise.
	(find_arch_match): Removed.

2009-11-11  Nick Clifton  <nickc@redhat.com>

	* po/id.po: Updated Indonesian translation.

2009-11-11  Jan Kratochvil  <jan.kratochvil@redhat.com>

	* configure.in: Stop checking for fopen64 and stat64.
	* strings.c (file_off, file_open, statbuf, file_stat): Remove.
	(strings_file): Change file_off to file_ptr, file_open to fopen,
	statbuf to struct stat and file_stat to stat.
	(get_char): Change parameter type file_off * to file_ptr *.
	(print_strings): Change parameter and variable `start' type file_off to
	file_ptr.
	* configure: Regenerate.
	* config.in: Regenerate.

2009-11-11  Jan Kratochvil  <jan.kratochvil@redhat.com>

	* configure.in: Call ACX_LARGEFILE.  Stop calling AC_PLUGINS,
	AC_SYS_LARGEFILE and checking the Solaris largefile exception.
	* aclocal.m4: Regenerate.
	* configure: Regenerate.

2009-11-09  Jan Kratochvil  <jan.kratochvil@redhat.com>

	* bucomm.c (get_file_size): Update comment for the error return value.

2009-11-08  John David Anglin  <dave.anglin@nrc-cnrc.gc.ca>

	* readelf.c (slurp_hppa_unwind_table): Don't relocate address twice.

2009-11-05  Kai Tietz  <kai.tietz@onevision.com>

	* dllwrap.c (is_leading_underscore): New variable.
	(cpu_type): New enum type.
	(which_cpu): New variable.
	(usage): Add new options --no-leading-underscore
	and --leading-underscore.
	(long_options): Likewise.
	(OPTION_NO_LEADING_UNDERSCORE): New define.
	(OPTION_LEADING_UNDERSCORE): Likewise.
	(main): Initialize which_host, pass new options
	to dlltool, do underscoring dependent on
	is_leading_underscore, and do '@12' decoration
	only for x86.

2009-11-02  Paul Brook  <paul@codesourcery.com>

	* readelf.c (arm_attr_tag_VFP_arch): Add VFPv4 and VFPv4-D16.

2009-10-28  Kai Tietz <kai.tietz@onevision.com>

	* dlltool.c (leading_underscore): New local variable.
	(asm_prefix): Interpret leading_underscore.
	(xlate): Likewise.
	(add_excludes): Use leading_underscore for making
	symbol name.
	(gen_exp_file): Use leading_underscore for internal
	_imp_ symbols.
	(usage): Add display of --no-leading-underscore and
	--leading-underscore option.
	(OPTION_NO_LEADING_UNDERSCORE): New.
	(OPTION_LEADING_UNDERSCORE): New.
	(long_options): Add --no-leading-underscore and
	--leading-underscore option.
	(main): Handle new options.
	* doc/binutils.text: Add documentation of the options
	--no-leading-underscore and --leading-underscore.

2009-10-23  Kai Tietz  <kai.tietz@onevision.com>

	* deflex.l: Allow '<' and '>' in ID names.

	* defparse.y (EQUAL): New token constant.
	(opt_import_name): New rule for emptry or '==' ID.
	(expline): Add opt_import_name as last line element.
	(impline): Likewise.
	* dlltool.c (ifunct): New member its_name.
	(export): Likewise.
	(append_import): Add its_name argument.
	(defexports): Likewise.
	(defimport): Likewise.
	(scan_drectve_symbols): Adjust calls to def_exports.
	(dump_def_info): Print new optinal import/export table
	symbol name.
	(generate_idata_ofile): Use its_name member.
	(make_one_lib_file): Likewise.
	(nfunc): Take its_name in account on sort.
	* dlltool.h (def_exports): Add its_name as argument.
	(def_import): Likewise.
	* doc/binutils.texi: Add new def file syntax extension.
	* deflex.l (EQUAL): Add rule for '=='.
	* NEWS: Mention new feature.

2009-10-23  Thomas Cougnard  <thomas.cougnard@gmail.com>

	* readelf.c (dynamic_info): Correct size of array.

2009-10-21  Ben Elliston  <bje@gnu.org>

	* MAINTAINERS (BUILD SYSTEM, TESTSUITES): Remove myself.

2009-10-19  Jerker Bäck  <jerker.back@gmail.com>

	PR binutils/10793
	* prdbg.c (tg_end_struct_type): Warning fix.

	PR binutils/10792
	* dlltool.c (dll_name_list_append): Declare variable at start
	of block.
	(dll_name_list_count, dll_name-list_print): Likewise.

2009-10-16  Doug Evans  <dje@sebabeach.org>

	* MAINTAINERS: Add myself as m32r maintainer.

2009-10-16  Jerker Bäck <jerker.back@gmail.com>

	PR 10764
	* Makefile.am (sysinfo.o, syslex.o): Place source file after all
	command line switches.
	* Makefile.in: Regenerate.

2009-10-16  Yann Droneaud  <yann@droneaud.fr>

	PR 10768
	* dlltool.c (bfd_get_errmsg): New macro.
	(scan_obj_file): Use it.
	(make_one_lib_file): Use it.
	(make_head): Use it.
	(make_delay_head): Use it.
	(make_tail): Use it.
	(gen_lib_file): Use it.
	(identify_dll_for_implib): Use it.
	(identify_search_archive):  Use it.

2009-10-16  Nick Clifton  <nickc@redhat.com>

	* readelf.c (usage): Add mention of --debug-dump=frames-interp.
	Wrap output to 80 columns.
	* objdump.c (usage): Likewise.
	* doc/binutils.texi (readelf): Add note about =frames-interp.

2009-10-01  Alan Modra  <amodra@bigpond.net.au>

	* addr2line.c (slurp_symtab): Don't use bfd_read_minisymbols.

2009-09-29  Nick Clifton  <nickc@redhat.com>

	* doc/binutils.texi (c++filt): Remove spurious description of
	nonexistent --java command line switch for cxxfilt.

2009-09-29  DJ Delorie  <dj@redhat.com>

	* readelf.c: Add support for RX target.
	* MAINTAINERS: Add DJ and NickC as maintainers for RX.

2009-09-28  Alan Modra  <amodra@bigpond.net.au>

	* configure.in: Don't invoke configure.tgt on $enable_targets.
	* configure: Regenerate.

2009-09-28  Nick Clifton  <nickc@redhat.com>

	PR 10478
	* readelf.c (get_elf_section_flags): Allow SHN_BEFORE and
	SHN_AFTER section link values in x86 binaries.
	(process_section_headers): Likewise.

2009-09-25  Dmitry Gorbachev  <d.g.gorbachev@gmail.com>

	PR 10656
	* readelf.c: Remove duplicate declaration of variable do_wide.
	* dwarf.h: Add export of do_wide.

2009-09-24  Cary Coutant  <ccoutant@google.com>

	* dwarf.c (get_TAG_name): Add missing DWARF-3 and new DWARF-4 tags.
	(get_FORM_name): Add new DWARF-4 forms.
	(read_and_display_attr_value): Add DW_FORM_ref_sig8, DW_LANG_Python.
	(get_AT_name): Add new DWARF-4 and GNU-specific attributes.
	(process_debug_info): Add do_types parameter; change all callers.
	Add support for .debug_types sections.
	(display_debug_types): New function.
	(debug_displays): Add .debug_types section.
	* readelf.c (process_section_headers): Add .debug_types section.
	(display_debug_section): Simplify call to streq.

2009-09-25  Alan Modra  <amodra@bigpond.net.au>

	* readelf.c (print_dynamic_symbol): Format entries as for
	normal symbol table.
	(process_symbol_table): Use -7s format string for visibility.

2009-09-22  Richard Sandiford  <rdsandiford@googlemail.com>

	* objdump.c (disassemble_section): Use bfd_get_arch_size
	instead of assuming that the address size is 32 bits.

2009-09-21  Alan Modra  <amodra@bigpond.net.au>

	* readelf.c (get_ppc_dynamic_type): Add TLSOPT.
	(get_ppc64_dynamic_type): Likewise.

2009-09-18  Nick Clifton  <nickc@redhat.com>

	* po/es.po: Updated Spanish translation.
	* po/vi.po: Updated Vietnamese translation.

2009-09-11  Paul Pluzhnikov  <ppluzhnikov@google.com>

	* readelf.c (process_version_sections, process_symbol_table):
	Use symbolic constants.

2009-09-11  Nick Clifton  <nickc@redhat.com>

	* po/binutils.pot: Updated by the Translation project.

2009-09-11  Philippe De Muyter  <phdm@macqel.be>

	* obcopy.c (copy_object): New parameter `input_arch', architecture
	of input file, if not specified in input file itself; all callers
	updated; `binary_architecture' hack removed.
	(copy_archive, copy_file): New parameter `input_arch', for
	`copy_object' usage.
	(copy_main): Accept `-B' (`--binary-architecture') option also
	for any arch-less input ifile format, not only `binary'; remove
	bfd_external_binary_architecture hack; instead, add `input_arch'
	to calls to `copy_file'.
	* windres.c, windmc.c : Obsolete and useless external references
	to `bfd_external_binary_architecture' or `bfd_external_machine'
	removed.
	* doc/binutils.texi: Mention that -B parameter can be used for any
	input file type which does not have its own architecture.

2009-09-10  Martin Thuresson  <martin@mtme.org>

	Update sources to compile cleanly with -Wc++-compat:
	* addr2line.c (slurp_symtab): Fix casts. Introduce variable
	minisyms to avoid aliasing varning.
	* ar.c: Add casts.
	(normalize): Use name del instead of delete.
	(display_target_list,display_info_table): Change loop counter
	variable a to int.
	* bucomm.c: Add casts.
	* debug.c: Update function to use new names.
	(struct debug_baseclass): Rename member from virtual to
	is_virtual.
	(struct debug_type_s, struct debug_field_s, struct
	debug_baseclass_s, struct debug_method_s, struct
	debug_method_variant_s, struct debug_type_s): Rename struct from
	avoid name collision.
	* debug.h: Use new struct names.
	* dwarf.c: Add casts.
	(free_debug_memory): Change loop counter variable a to int.
	* ieee.c: Add casts.
	(enum ieee_var_kind): Move to top level.
	(ieee_class_baseclass): Rename parameter virtual to is_virtual.
	(ieee_class_method_var): Rename variable virtual to is_virtual.
	* nm.c: Add casts.
	* objcopy.c: Add casts.
	(copy_archive): Rename variable delete to del.
	* objdump.c: Add casts.
	(dump_dwarf_section): Change loop counter variable i to int.
	* prdbg.c: Add casts.
	(pr_class_baseclass,tg_class_baseclass): Rename parameters virtual
	to is_virtual.
	* readelf.c: Add casts.
	(struct ia64_unw_table_entry,struct hppa_unw_table_entry): Move to
	top level.
	* size.c: Add casts.
	* stabs.c (parse_stab_type, parse_stab_range_type,
	(parse_stab_cpp_abbrev): Rename parameter from typename to
	type_name.
	(parse_stab_baseclasses): Rename variable virtual to is_virtual.
	* strings.c: Add casts.
	* wrstabs.c (stab_class_baseclass): Rename parameter virtual to
	is_virtual.

2009-09-09  Nick Clifton  <nickc@redhat.com>

	PR 10478:
	readelf.c (get_elf_section_flags): Add support for SHF_EXCLUDE and
	SHF_ORDERED.
	(process_section_headers): Warn about out of range sh_link
	values.  When displaying detailed section header information
	annote the SHN_BEFORE and SHN_AFTER values.

2009-09-08  Alan Modra  <amodra@bigpond.net.au>

	* dwarf.c (byte_get_little_endian): Handle size of 3.
	(byte_get_big_endian): Likewise.
	* readelf.c (byte_put_little_endian): Likewise.
	(byte_put_big_endian): Likewise.
	(is_24bit_abs_reloc): New function.
	(is_none_reloc): Formatting.
	(apply_relocations): Use is_24bit_abs_reloc.  Handle pj and xtensa
	reloc peculiarity.

2009-09-07  Jan Kratochvil  <jan.kratochvil@redhat.com>

	* readelf.c (is_none_reloc <EM_XTENSA_OLD>, is_none_reloc <EM_XTENSA>):
	New.

2009-09-07  Jan Kratochvil  <jan.kratochvil@redhat.com>

	* dwarf.c (process_debug_info): Support section padding abbrev codes.

2009-09-07  Tristan Gingold  <gingold@adacore.com>

	* po/binutils.pot: Regenerate.

2009-09-05  Jan Kratochvil  <jan.kratochvil@redhat.com>

	* Makefile.am (sysdump.o): Depend on sysroff.c.
	* Makefile.in: Regenerate.

2009-09-05  Martin Thuresson  <martin@mtme.org>

	* ieee.c (ieee_read_cxx_misc, ieee_read_cxx_class,
	ieee_read_reference): Rename variables named class to cxxclass.

2009-09-04  Tristan Gingold  <gingold@adacore.com>

	* BRANCHES: Add binutils-2_20-branch.

2009-09-04  Tristan Gingold  <gingold@adacore.com>

	* NEWS: Add marker for 2.20.

2009-09-04  Timo Kreuzer  <timo.kreuzer@web.de>

	* dlltool.c (delayimp_name): Add new global variable
	(usage, long_options, main): Add new option "-y" / "--output-delaylib"
	(struct mac): Add fields how_dljtab_size, how_dljtab_roff1,
	how_dljtab_roff2, how_dljtab, trampoline.
	(i386_dljtab): Add binary stub for x86 delay import.
	(i386_trampoline): Add text assembly stub for x86 delay import.
	(mtable): Add delay import data for M386 and MX86 only.
	(make_delay_head): New function.
	(make_one_lib_file): New arg delay creates delay-load import stub.
	(gen_lib_file): New arg delay likewise.
	(HOW_JTAB, HOW_JTAB_SIZE, HOW_JTAB_ROFF): New arg delay likewise.
	(HOW_JTAB_ROFF2, HOW_JTAB_ROFF3): New macros for delay import.
	(make_tail): Convert hard TABS embedded in strings to "\t" escapes.
	* NEWS: Mention new feature.  Also fix whitespace.
	* doc/binutils.texi: Updated dlltool documentation.

2009-09-02  Tristan Gingold  <gingold@adacore.com>

	* configure.com: Do not copy makefile.vms-in to makefile.vms
	* makefile.vms-in: Renamed to...
	* makefile.vms: ... this usual name as it is not processed anymore.
	Remove WRITE_DEBUG_OBJS (unused) and reorder object files for
	objdump.exe.

2009-09-01  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* Makefile.am (arparse.o, arlex.o, sysroff.o, defparse.o)
	(deflex.o, nlmheaders.o, rcparse.o, mcparse.o): Supply correct
	source file name for generated files which may be in $(srcdir).
	* Makefile.in: Regenerate.

2009-09-01  H.J. Lu  <hongjiu.lu@intel.com>

	* version.c (print_version): Change to "Copyright 2009".

2009-09-01  Tristan Gingold  <gingold@adacore.com>

	* makefile.vms-in: Remove unused VERSION variable.  Remove unused
	dependencies.
	* configure.com: Ported to Itanium VMS.  Create build.com DCL script.

2009-08-29  Martin Thuresson  <martin@mtme.org>

	* nlmconv.c (main): Rename variable new to new_name.

2009-08-28  H.J. Lu  <hongjiu.lu@intel.com>

	* Makefile.am (sysinfo$(EXEEXT_FOR_BUILD)): Replace
	CFLAGS/LDFLAGS with CFLAGS_FOR_BUILD/LDFLAGS_FOR_BUILD.
	(syslex.o): Likewise.
	(sysinfo.o): Likewise.
	(bin2c$(EXEEXT_FOR_BUILD)): Likewise.
	* Makefile.in: Regenerated.

2009-08-27  Dave Korn  <dave.korn.cygwin@gmail.com>

	* doc/binutils.texi (--only-keep-debug): Relocate stray para here ...
	(--subsystem): ... from here.

2009-08-24  Cary Coutant  <ccoutant@google.com>

	* objdump.c (find_symbol_for_address): Avoid costly call to
	bfd_octets_per_byte.

2009-08-24  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* Makefile.am (am__skiplex, am__skipyacc): New.
	* Makefile.in: Regenerate.

2009-08-23  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* Makefile.am (syslex.o): Depend on sysinfo.h config.h.
	* Makefile.in: Regenerate.

2009-08-22  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* Makefile.am (AM_CPPFLAGS): Renamed from ...
	(INCLUDES): ... this.
	(bin2c$(EXEEXT_FOR_BUILD): Adjust rule.
	(installcheck-local): Renamed from ...
	(installcheck): ... this.
	* Makefile.in: Regenerate.

	* Makefile.am (AUTOMAKE_OPTIONS): Remove cygnus, add no-dist and
	foreign.
	(MKDEP, CLEANFILES): Remove now-unneeded variables.
	(DEP, DEP1, dep.sed, dep, dep-in, dep-am): Remove.
	(mkdep section): Remove.
	(BUILT_SOURCES): New variable, list $(GENERATED_HFILES).
	(EXTRA_ar_SOURCES): New, list $(CFILES).
	(syslex.o): Depend on syslex.c.
	(sysinfo.o): Depend on sysinfo.c.
	(arparse.h, defparse.h, nlmheaders.h rcparse.h mcparse.h):
	Remove dependencies, now tracked by automake.
	(srconv.o): Depend on sysroff.c.
	(objdump.o, arparse.o, arlex.o, sysroff.o, defparse.o, deflex.o)
	(nlmheader.o, rcparse.o, mcparse.o, rclex.o, mclex.o, dlltool.o)
	(rescoff.o, nlmconv.o): Rewrite using automake-style dependency
	tracking rules; only list the dependency upon the primary source
	file, but no included headers.
	* Makefile.in: Regenerate.

	* Makefile.am (install-pdf, install-pdf-recursive, install-html)
	(install-html-recursive): Remove.
	* Makefile.in: Regenerate.
	* doc/Makefile.am (pdf__strip_dir, install-pdf, install-pdf-am)
	(html__strip_dir, install-html, install-html-am): Remove.
	* doc/Makefile.in: Regenerate.

	* Makefile.in: Regenerate.
	* aclocal.m4: Likewise.
	* config.in: Likewise.
	* configure: Likewise.
	* doc/Makefile.in: Likewise.

2009-08-17  Nick Clifton  <nickc@redhat.com>

	* readelf.c (is_32bit_abs_reloc): Treat R_PARISC_SECREL32 as a
	32-bit absolute reloc for the purposes of processing debug
	sections.

2009-08-10  Daniel Gutson  <dgutson@codesourcery.com>

	* readelf.c (get_arm_section_type_name): Added support for
	new sections headers.

2009-08-03  H.J. Lu  <hongjiu.lu@intel.com>

	PR binutils/10364
	* objcopy.c (strip_main): Check return from smart_rename.
	(copy_main): Likewise.

2009-07-27  Nick Clifton  <nickc@redhat.com>

	PR 10413
	* objdump.c (dump_section_header): Skip sections that we are
	ignoring.

2009-07-25  H.J. Lu  <hongjiu.lu@intel.com>

	* readelf.c (guess_is_rela): Handle EM_L1OM.
	(dump_relocations): Likewise.
	(get_machine_name): Likewise.
	(get_section_type_name): Likewise.
	(get_elf_section_flags): Likewise.
	(get_symbol_index_type): Likewise.
	(is_32bit_abs_reloc): Likewise.
	(is_32bit_pcrel_reloc): Likewise.
	(is_64bit_abs_reloc): Likewise.
	(is_64bit_pcrel_reloc): Likewise.
	(is_none_reloc): Likewise.

2009-07-23  Ulrich Drepper  <drepper@redhat.com>

	* readelf.c (get_symbol_binding): For Linux targeted files return
	UNIQUE for symbols with the STB_GNU_UNIQUE binding.
	* doc/binutils.texi: Document the meaning of the 'u' symbol
	binding in the output of nm and objdump --syms.

2009-07-20  H.J. Lu  <hongjiu.lu@intel.com>

	* NEWS: Mention --insn-width.

	* objdump.c (insn_width): New.
	(usage): Display --insn-width.
	(option_values): Add OPTION_INSN_WIDTH.
	(long_options): Add --insn-width.
	(disassemble_bytes): Handle insn_width.
	(main): Handle OPTION_INSN_WIDTH.

	* doc/binutils.texi: Document --insn-width.

2009-07-17  Nick Clifton  <nickc@redhat.com>

	* dwarf.c (display_debug_lines): If do_debug_lines has not been
	set then default to displaying raw .debug_line section contents.

2009-07-14  Jan Kratochvil  <jan.kratochvil@redhat.com>

	Support unordered .debug_info references to .debug_ranges.
	* dwarf.c (struct range_entry, range_entry_compar): New.
	(display_debug_ranges): Remove variables last_offset, first, j,
	seen_first_offset, use_debug_info and next.  New variables
	range_entries and range_entry_fill.  Create the sorted copy
	range_entries.  Remove the FIXME error on detected unordered references.
	* dwarf.h (debug_info <range_lists>): New comment.

2009-07-14  Nick Clifton  <nickc@redhat.com>

	PR 10380
	* README: Document use of LDFLAGS="--static".

2009-07-10  H.J. Lu  <hongjiu.lu@intel.com>

	* Makefile.am: Run "make dep-am".
	* Makefile.in: Regenerated.

2009-07-10  Tom Tromey  <tromey@redhat.com>

	* Makefile.am (dwarf.o): Refer to dwarf2.h, not elf/dwarf2.h.
	* Makefile.in: Rebuild.
	* dwarf.c: Include dwarf2.h, not elf/dwarf2.h.

2009-07-06  Tristan Gingold  <gingold@adacore.com>

	* objdump.c (dump_dwarf_section): Handle .eh_frame like other dwarf
	sections.
	* dwarf.h (struct dwarf_section_display): Remove eh_frame field.
	* dwarf.c (debug_displays): Adjust for removed field.

2009-07-03  Jakub Jelinek  <jakub@redhat.com>

	* dwarf.c (decode_location_expression): Handle DW_OP_stack_value
	and DW_OP_implicit_value.

2009-07-01  Nick Clifton  <nickc@redhat.com>

	PR 6714
	* rclex.c (handle_quotes): Do not complain about whitespace
	separating quoted strings.
	(rclex_string): Ignore whitespace when looking for a new opening
	quote following a closing quote.

2009-06-27  H.J. Lu  <hongjiu.lu@intel.com>

	PR binutils/10321
	* bucomm.c (get_file_size): Return -1 on error.

	* objcopy.c (copy_file): Report empty file.

2009-06-23  Nick Clifton  <nickc@redhat.com>

	* dwarf.c (display_debug_lines_raw): Include the name of the
	section in warning message.
	(struct debug_display): Enable reloc processing for .debug_line
	and .debug_ranges sections.

	* readelf.c: Add --relocated-dump command line option to dump the
	relocated contents of a specified section.
	(request_dump): New function.
	(parse_args): Use it.
	(dump_section_as_bytes): Add parameter to indicate whether the
	contents should be relocated.
	(target_specific_reloc_handling): Add code for a R_MN10300_16
	reloc found after a R_MN10300_SYM_DIFF reloc.
	(debug_apply_relocations): Rename to apply_relocations.
	(get_section_contents): New function.  Replaces common code found
	in dump_section_as_strings and dump_section_as_bytes.
	* doc/binutils.texi: Document new command line option.
	* NEWS: Mention the new feature.

2009-06-22  Nick Clifton  <nickc@redhat.com>

	* readelf.c (target_specific_reloc_handling): New function:
	Processes relocs in a target specific manner.
	(debug_apply_relocations): Use the new function.
	* dwarf.c (display_debug_loc): End the dump with a blank line.
	(struct debug_display): Enable reloc processing for .debug_aranges
	and .debug_loc sections.

2009-06-19  Nick Clifton  <nickc@redhat.com>

	* ar.c (usage): Do not use #ifdef inside _("...).
	* nm.c (usage): Likewise.

2009-06-18  Nick Clifton  <nickc@redhat.com>

	PR 10288
	* objdump.c (disassemble_bytes): Set the
	USER_SPECIFIED_MACHINE_TYPE flag in the disassemble_info structure
	if the user has invoked the -m switch.
	* doc/binutils.texi: Document the additional behaviour of
	objdump's -m switch for ARM targets.

2009-06-18  Dave Korn  <dave.korn.cygwin@gmail.com>

	* configure.in: Merge cegcc and mingw32ce target name changes from
	CeGCC project.

2007-12-25  Pedro Alves  <pedro_alves@portugalmail.pt>

	* configure.in: Add arm*-*-cegcc* and arm*-*-mingw32ce* targets.
	* configure: Regenerate.

2009-06-15  Nick Clifton  <nickc@redhat.com>

	PR 10263
	* objdump.c (disassemble_bytes): Set the DISASSEMBLE_DATA bit in
	the flags field of the disassemble_info structure if the -D switch
	is in operation.

2009-06-12  Homer Xing  <homer.xing@yahoo.com>

	* NEWS: Mention new feature added to gprof.

2009-06-12  John Reiser  <jreiser@BitWagon.com>

	* readelf.c (process_symbol_table): Set gnubuckets to NULL after
	freeing it and before returning.

2009-06-12  Jakub Jelinek  <jakub@redhat.com>

	* readelf.c (process_symbol_table): Don't return early if
	.hash/.gnu.hash is empty/unusable and not -D.

2009-06-09  Tom Bramer  <tjb@postpro.net>

	PR 10165
	* winduni.c (wind_MultiByteToWideChar): Do not pass MB_PRECOMPOSED
	to MultiByteToWideChar when using the CP_UTF8 or CO_UTF7 types.

2009-06-04  Alan Modra  <amodra@bigpond.net.au>

	* strings.c (main): Delay parsing of decimal digits.

2009-06-04  Alan Modra  <amodra@bigpond.net.au>

	* dep-in.sed: Don't use \n in replacement part of s command.
	* Makefile.am (DEP1): LC_ALL for uniq.
	Run "make dep-am".
	* Makefile.in: Regenerate.

2009-06-03  Tristan Gingold  <gingold@adacore.com>

	* MAINTAINERS: Add myself as Mach-O maintainer.

2009-06-01  Alan Modra  <amodra@bigpond.net.au>

	PR 10199
	* doc/binutils.texi (nm): Correct -S description.

2009-05-28  Nick Clifton  <nickc@redhat.com>

	* po/da.po: Updated Danish translation.

2009-05-28  Nick Clifton  <nickc@redhat.com>

	* readelf.c (display_debug_section): Do not display debug sections
	with the NOBITS section type.

2009-05-27  Rafael Avila de Espindola  <espindola@google.com>

	* aclocal.m4: Include ../config/plugins.m4.
	* configure.in: Use AC_PLUGINS.
	* configure: Regenerate.
	* Makefile.in: Regenerate.
	* doc/Makefile.in: Regenerate.

2009-05-27  Rafael Avila de Espindola  <espindola@google.com>

	* ar.c (main): Call bfd_plugin_set_program_name.
	* nm.c (main): Call bfd_plugin_set_program_name.

2009-05-27  Nathan Sidwell  <nathan@codesourcery.com>

	* sysdump.c (tab): Use puts rather than two printfs.

2009-05-26  Nick Clifton  <nickc@redhat.com>

	* po/id.po: Updated Indonesian translation.
	* po/binutils.pot: Updated template file.

2009-05-26  Rafael Avila de Espindola  <espindola@google.com>

	* ar.c: Include plugin.h.
	(main): Handle the --plugin option.
	* nm.c: Include plugin.h.
	(OPTION_PLUGIN): New.
	(long_options): Add plugin.
	(main): Handle OPTION_PLUGIN.
	* NEWS: Mention  the new feature.
	* doc/binutils: Documement the new command line options.
	* configure.in: Check for --enable-plugins.
	* configure: Regenerate.

2009-05-26  Alan Modra  <amodra@bigpond.net.au>

	* dep-in.sed: Output one filename per line with all lines having
	continuation backslash.  Prefix first line with "A", following
	lines with "B".
	* Makefile.am (DEP): Don't use dep.sed here.
	(DEP1): Run $MKDEP on single files, use dep.sed here on dependencies,
	sort and uniq.
	* Makefile.in: Regenerate.

2009-05-25  Tristan Gingold  <gingold@adacore.com>

	* makefile.vms-in: Fix CFLAGS, add addr2line.exe target.

	* configure.com: Fix it: handle alloca and define TARGET in config.h.

2009-05-22  Alan Modra  <amodra@bigpond.net.au>

	* Makefile.am: Run "make dep-am".
	* Makefile.in: Regenerate.

2009-05-12  Alan Modra  <amodra@bigpond.net.au>

	* objcopy.c (set_long_section_mode): Check input_bfd is coff
	before accessing coff specific fields of bfd.

2009-05-09  Dave Korn  <dave.korn.cygwin@gmail.com>

	* MAINTAINERS:  Add myself as PE/COFF co-maintainer.

2009-05-08  Kai Tietz  <kai.tietz@onevision.com>

	* winduni.c (iconv_onechar): Only define when HAVE_ICONV
	is defined, but not when __CYGWIN__ or _WIN32 are defined.
	See wind_iconv_cp for call logic of this local funtion.

2009-05-05  Guillaume Duhamel  <guillaume.duhamel@gmail.com>

	PR 10109
	* winduni.c: Replace test of HAVE_ICONV_H with a test of
	HAVE_ICONV.
	(iconv_onechar): Use ICONV_CONST instead of "const".
	(wind_MultiByteToWideChar): Initialise local strings.

2009-04-30  Nick Clifton  <nickc@redhat.com>

	* readelf.c (dump_relocations): Display a relocation against an
	ifunc symbol as if it were a function invocation.
	(get_symbol_type): Handle STT_GNU_IFUNC.

2009-04-29  Anthony Green  <green@moxielogic.com>

	* NEWS: Tweak verilog support description.

2009-04-29  Alan Modra  <amodra@bigpond.net.au>
	    Denis Scherbakov <denis_scherbakov@yahoo.com>

	* readelf.c (slurp_ia64_unwind_table): Correct 64-bit unwind table
	read, and merge with 32-bit case.

2009-04-27  Anthony Green  <green@moxielogic.com>

	* NEWS: Mention verilog support added to bfd.

2009-04-27  H.J. Lu  <hongjiu.lu@intel.com>

	* objcopy.c (copy_object): Copy pe_opthdr before changing PE
	parameters.

2009-04-24  Cary Coutant  <ccoutant@google.com>

	* dwarf.c (process_extended_line_op): Add DW_LNE_set_discriminator.
	Add missing newlines to HP extensions.

2009-04-17  H.J. Lu  <hongjiu.lu@intel.com>

	* objcopy.c (set_pe_subsystem): Replace efi-rom with sal-rtd.
	* doc/binutils.texi: Likewise.

2009-04-17  H.J. Lu  <hongjiu.lu@intel.com>

	PR binutils/10074
	* objcopy.c: Include coff/i386.h and coff/pe.h.
	(pe_file_alignment): New.
	(pe_heap_commit): Likewise.
	(pe_heap_reserve): Likewise.
	(pe_image_base): Likewise.
	(pe_section_alignment): Likewise.
	(pe_stack_commit): Likewise.
	(pe_stack_reserve): Likewise.
	(pe_subsystem): Likewise.
	(pe_major_subsystem_version): Likewise.
	(pe_minor_subsystem_version): Likewise.
	(set_pe_subsystem): Likewise.
	(convert_efi_target): Likewise.
	(command_line_switch): Add OPTION_FILE_ALIGNMENT,
	OPTION_HEAP, OPTION_IMAGE_BASE, OPTION_SECTION_ALIGNMENT,
	OPTION_STACK and OPTION_SUBSYSTEM.
	(copy_options): Likewise.
	(copy_usage): Add --file-alignment, --heap, --image-base,
	--section-alignment, --stack and --subsystem.
	(copy_object): Set up PE parameters.
	(copy_main): Process Add OPTION_FILE_ALIGNMENT,
	OPTION_HEAP, OPTION_IMAGE_BASE, OPTION_SECTION_ALIGNMENT,
	OPTION_STACK and OPTION_SUBSYSTEM.   Convert EFI target to
	PEI target.

	* NEWS: Mention --file-alignment, --heap, --image-base,
	--section-alignment, --stack and --subsystem command line
	options for objcopy.

	* doc/binutils.texi: Document --file-alignment, --heap,
	--image-base, --section-alignment, --stack and --subsystem
	command line options for objcopy.

2009-04-15  Anthony Green  <green@moxielogic.com>

	* MAINTAINERS: Add myself as Moxie port maintainer.

2009-04-14  Dave Korn  <dave.korn.cygwin@gmail.com>

	* objcopy.c (enum long_section_name_handling):  New enum type.
	(enum command_line_switch):  Add OPTION_LONG_SECTION_NAMES.
	(copy_options[]):  Add entry for --long-section-names option.
	(copy_usage):  Document it.
	(set_long_section_mode):  New subroutine.
	(copy_file):  Call it.
	(copy_main):  Accept OPTION_LONG_SECTION_NAMES and parse arg.
	* doc/binutils.texi:  Update objcopy documentation with details
	of new option.

2009-04-01  Dave Korn  <dave.korn.cygwin@gmail.com>

	* dlltool.c (set_dll_name_from_def):  Accept new second arg that
	indicates if we are building DLL or EXE, and use it to add a
	default suffix to the output filename when none is already present.
	(def_name):  Indicate we are building an EXE when calling it.
	(def_library):  Indicate we are building a DLL when calling it.

2009-04-01  Jari Aalto  <jari.aalto@cante.net>

	PR 9972
	* doc/binutils.texi (strings): Document the -V alias for the
	--version option.
	* strings.c (usage): Likewise.

2009-03-31  Nick Clifton  <nickc@redhat.com>

	PR 9992
	* configure.in: Import Solaris specific largefile test from
	bfd/configure.in.
	* configure: Regenerate.

2009-03-30  Richard Sandiford  <rdsandiford@googlemail.com>

	* MAINTAINERS: Add self.

2009-03-27  Nick Clifton  <nickc@redhat.com>

	* dwarf.c (display_debug_ranges): Add the base address to the
	displayed values for 'Begin' and 'End'.

2009-03-25  Ryan Mansfield  <rmansfield@qnx.com>

	* readelf.c (process_file_header): Don't report a corrupt string
	table index if it is zero.

2009-03-19  H.J. Lu  <hongjiu.lu@intel.com>

	* dwarf.c (dwarf_regnames): Moved before frame_need_space.
	(dwarf_regnames_count): Likewise.
	(frame_need_space): Return int.
	(display_debug_frames): Check invalid registers.

2009-03-19  H.J. Lu  <hongjiu.lu@intel.com>

	* readelf.c (debug_apply_relocations): Check relocations
	against STT_SECTION symbol.

2009-03-18  H.J. Lu  <hongjiu.lu@intel.com>

	* readelf.c (debug_apply_relocations): Allow relocations
	against function symbols.

2009-03-18  Alan Modra  <amodra@bigpond.net.au>

	* sysdep.h: Include alloca-conf.h instead of config.h and remove
	existing #if's handling alloca.
	* Makefile.am: Run "make dep-am".
	* Makefile.in: Regenerate.

2009-03-14  Richard Sandiford  <r.sandiford@uk.ibm.com>

	* configure.tgt: Extend AIX 5 behavior to AIX 6 and above.
	* configure.in: Likewise.
	* configure: Regenerate.

2009-03-13  H.J. Lu  <hongjiu.lu@intel.com>

	PR binutils/9945
	* objcopy.c (copy_object): Clear HAS_RELOC when stripping all.

2009-03-11  Chris Demetriou  <cgd@google.com>

	* ar.c (deterministic): New global variable.
	(main): Recognize new 'D' option, which enables 'deterministic mode'.
	(usage): Document new 'D' option.
	(write_archive): Set BFD_DETERMINISTIC_OUTPUT in output archive's
	flags if deterministic mode was requested.
	* doc/binutils.texi (ar): Document deterministic mode ('D' option).

2009-03-09  H.J. Lu  <hongjiu.lu@intel.com>

	PR binutils/9933
	* objcopy.c (filter_symbols): Properly handle common symbols
	in relocatable file.

2009-03-06  Nick Clifton  <nickc@redhat.com>

	* po/es.po: Updated Spanish translation.

2009-03-05  Nick Clifton  <nickc@redhat.com>

	* objdump.c (disassemble_section): If the computed next offset is
	not beyond the current offset then just continue to the end.

2009-03-04  Tristan Gingold  <gingold@adacore.com>

	* MAINTAINERS: Add myself as VMS maintainer.

2009-03-03  Nick Clifton  <nickc@redhat.com>

	* readelf.c: Update formatting.

2009-03-03  Alan Modra  <amodra@bigpond.net.au>

	* Makefile.am: Run "make dep-am".
	* Makefile.in: Regenerate.

2009-03-03  Alan Modra  <amodra@bigpond.net.au>

	* objdump.c (disassemble_section): Mask address before sign extending.

2009-03-02  Sebastian Biallas  <sb@biallas.net>

	* ieee.c (parse_ieee_ty): Add support for undocumented 'v' type.
	(parse_ieee_bb): Set the filename if it has not already been
	discovered.

2009-03-02  Cary Coutant  <ccoutant@google.com>

	* readelf.c (adjust_relative_path): New function.
	(struct archive_info): New type.
	(setup_archive): New function.
	(release_archive): New function.
	(setup_nested_archive): New function.
	(get_archive_member_name): New function.
	(get_archive_member_name_at): New function.
	(make_qualified_name): New function.
	(process_archive): Factor out code for reading archive index and
	long filename table to setup_archive.  Add support for thin archives.

2009-03-02  Nick Clifton  <nickc@redhat.com>

	* po/sk.po: Updated Slovak translation.

2009-03-01  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* configure: Regenerate.

2009-02-23  Cary Coutant <ccoutant@google.com>

	* objdump.c (load_specific_debug_section): New function, from
	load_debug_section.
	(load_debug_section): Use load_specific_debug_section.
	(dump_dwarf_section): Likewise.

2009-02-23  Cary Coutant <ccoutant@google.com>

	* readelf.c (parse_args): Select all sections explicitly for -w.

2009-02-09  Kai Tietz  <kai.tietz@onevision.com>

	* windres.c (set_endianess): Copy name without leading '-'.

2009-02-09  Tristan Gingold  <gingold@adacore.com>

	* NEWS: Mention feature match between objdump and readelf for dumping
	dwarf info.

	* doc/binutils.texi (objdump): Document -W/--dwarf improvments to
	objdump.

	* objdump.c (usage): Update documentation for -W/--dwarf.
	(enum option_values): Add OPTION_DWARF.
	(long_options): --dwarf can accept arguments.
	(dump_dwarf_section): Also check enabled field.
	(main): Option -W can accept arguments, code moved to
	dwarf.c and call dwarf_select_sections_all instead.
	* readelf.c (process_section_headers): Remove do_debug_lines_decoded.
	(parse_args): Move code to...
	* dwarf.c (dwarf_select_sections_by_letters,
	dwarf_select_sections_by_names): : ...here (new functions).
	(do_debug_lines_decoded): Remove and replaced by ...
	(FLAG_DEBUG_LINES_RAW, FLAG_DEBUG_LINES_DECODED): ... new macros.
	(display_debug_lines): Adjust for previous change.
	(dwarf_select_sections_all): New function.
	(debug_displays): Add initializer for enabled field.
	* dwarf.h (do_debug_lines_decoded): Remove.
	Add prototypes for the new functions.
	(struct dwarf_section_display): Add enabled field.

2009-02-06  Nick Clifton  <nickc@redhat.com>

	* po/vi.po: Updated Vietnamese translation.

2009-02-03  Sandip Matte  <sandip@rmicorp.com>

	* readelf.c (get_machine_flags): Handle E_MIPS_MACH_XLR.

2009-02-03  H.J. Lu  <hongjiu.lu@intel.com>

	* NEWS: Move --as-needed change to ...
	* ../ld/NEWS: Here.

2009-02-03  Carlos O'Donell  <carlos@codesourcery.com>

	* configure.in: AC_SUBST pdfdir.
	* Makefile.am: Add install-pdf, install-pdf-am,
	and install-pdf-recursive targets.
	* doc/Makefile.am: Define pdf__strip_dir. Add
	install-pdf and install-pdf-am targets.
	* po/Make-in: Add install-pdf target.
	* configure: Regenerate.
	* Makefile.in: Regenerate.
	* doc/Makefile.in: Regenerate.

2009-02-03  H.J. Lu  <hongjiu.lu@intel.com>

	PR binutils/9784
	* NEWS: Mention --prefix=PREFIX and --prefix-strip=LEVEL.

	* doc/binutils.texi: Document --prefix=PREFIX and
	--prefix-strip=LEVEL.

	* objdump.c: Include "filenames.h".
	(prefix): New.
	(prefix_strip): Likewise.
	(prefix_length): Likewise.
	(usage): Add --prefix=PREFIX and --prefix-strip=LEVEL.
	(option_values): Add OPTION_PREFIX and OPTION_PREFIX_STRIP.
	(long_options): Likewise.
	(show_line): Handle prefix and prefix_strip.
	(main): Handle OPTION_PREFIX and OPTION_PREFIX_STRIP.

	* readelf.c (PATH_MAX): Moved to ...
	* sysdep.h: Here.

2009-01-31  Alan Modra  <amodra@bigpond.net.au>

	* NEWS: Mention --as-needed change.

2009-01-29  Alan Modra  <amodra@bigpond.net.au>

	PR 9798
	* bucomm.c (bfd_nonfatal_message): Use bfd_get_archive_filename.
	(bfd_get_archive_filename): Constify param.
	* bucomm.h (bfd_get_archive_filename): Update prototype.
	* objcopy.c (RETURN_NONFATAL): Delete.
	(copy_unknown_object): Don't call bfd_get_archive_filename for
	bfd_nonfatal_message filename, instead just pass bfd.
	(copy_object): Likewise.
	(copy_archive, copy_file): Likewise.  Expand RETURN_NONFATAL.  On
	bfd_close errors, do not pass the bfd to bfd_nonfatal_message.
	(setup_bfd_headers): Fix error message.

2009-01-27  Nick Clifton  <nickc@redhat.com>

	PR 9774
	* objdump.c (disassemble_section): When the target uses signed
	addresses make sure that we compute signed values.

2009-01-27  Nick Clifton  <nickc@redhat.com>

	* MAINTAINERS: Remove Thiemo Seufer's name from the list of MIPS
	maintainers.

2009-01-26  Nick Clifton  <nickc@redhat.com>

	PR 9766
	* dlltool.c (xlate): When strip text after the @ sign, look for
	the last one not the first one.

2009-01-16  Alan Modra  <amodra@bigpond.net.au>

	* configure.in (commonbfdlib): Delete.
	* configure: Regenerate.

2008-01-14  Charles Wilson  <cygwin@cwilson.fastmail.fm>

	Cleanup code related to --identify option.

	* dlltool.c (file scope): Removed globals identify_ms,
	identify_member_contains_symname_result,
	identify_dll_name_list_head, and identify_dll_name_list_tail.
	Renamed existing typedef dll_name_list_type to
	dll_name_list_node_type.
	Added new typedefs dll_name_list_type, symname_search_data_type,
	and identify_data_type.
	(identify_append_dll_name_to_list): Renamed to...
	(dll_name_list_append): ...here.  Changed signature to accept list
	argument rather than use global.
	(identify_count_dll_name_list): Renamed to...
	(dll_name_list_count): ...here.  Changed signature to accept list
	argument rather than use global.
	(identify_print_dll_name_list): Renamed to...
	(dll_name_list_print): ...here.  Changed signature to accept list
	argument rather than use global.
	(identify_free_dll_name_list): Renamed to...
	(dll_name_list_free_contents): ...here.
	(dll_name_list_free): New function.
	(dll_name_list_create): New function.
	(identify_process_section_p): Changed signature to accept
	ms_style_implib argument rather than use global.
	(identify_member_contains_symname): Expect incoming void * data to
	be symname_search_data_type.
	(identify_dll_for_implib): Use new functions dll_name_list_create
	and dll_name_list_free.  Use new types symname_search_data_type
	and identify_data_type to communicate with search routines.
	(identify_search_section): Expect incoming void * data to be
	identify_data_type. Use its contents rather than global
	variables.

2009-01-13  Charles Wilson  <cygwin@cwilson.fastmail.fm>

	Add --identify-strict option.  Handle ms-style implibs:

	* dlltool.c (file scope): Added new globals identify_ms and
	identify_strict. New typedef dll_name_list_type, and globals
	identify_dll_name_list_head and identify_dll_name_list_tail. Added
	new global identify_member_contains_symname_result.
	(identify_append_dll_name_to_list): New function.
	(identify_count_dll_name_list): New function.
	(identify_print_dll_name_list): New function.
	(identify_free_dll_name_list): New function.
	(identify_search_archive): Changed signature to take function
	pointer to operation to apply to each member, and data to pass on
	to that function.
	(identify_search_member): Changed signature to accept user data
	from caller.
	(identify_member_contains_symname): New function.
	(identify_dll_for_implib): Rewrite. Now determines whether implib
	is ms- or binutils- style, before searching sections for
	dllname. Allows multiple dllnames.
	(identify_process_section_p): Search alternate section for dllname
	when implib is ms-style.
	(identify_search_section): Add additional conditions to excludes
	candidate sections from consideration.
	(usage): Added --identify-strict.
	(long_options): Added --identify-strict.
	(main): Handle --identify-strict option.
	* doc/binutils.texi: Document --identify-strict	option.
	* NEWS: Document --identify and	--identify-strict options.

2009-01-13  Alan Modra  <amodra@bigpond.net.au>

	PR 7034
	* doc/binutils.texi (objdump -R): Note effect of -d or -D.

2009-01-13  Alan Modra  <amodra@bigpond.net.au>

	* objdump.c (disassemble_section): Don't assume non-instruction
	data if object symbol at given address is in different section.

2009-01-12  Kai Tietz  <kai.tietz@onevision.com>

	* dlltool.c (create_for_pep): New.
	(flush_page): Use create_for_pep instead of using
	macro DLLTOOL_MX86_64 clause.
	(generate_idata_ofile): Likewise.
	(make_one_lib_file): Likewise.
	(make_head): Likewise.
	(make_tail): Likewise.
	(main): Initialize create_for_pep.

2009-01-08  Kai Tietz  <kai.tietz@onevision.com>

	* dlltool.c (use_nul_prefixed_import_tables): New.
	(make_head): Make prefix leading zero prefix element for
	idata$4 and idata$5 dependent to new flag.
	(usage): Add new option  --use-nul-prefixed-import-tables.
	(OPTION_USE_NUL_PREFIXED_IMPORT_TABLES): New.
	(long_options): Add --use-nul-prefixed-import-tables.
	(main): Likewise.
	* doc/binutils.texi: Add new option documentation for
	--use-nul-prefixed-import-tables.
	* NEWS: Add new option.

2009-01-06  Kai Tietz  <kai.tietz@onevision.com>

	* windres.c (set_endianess): Get architecture name
	for internal target names like "pe-arm-wince-little".
	(find_arch_match): New helper.
	* ChangeLog: Reset it.
	* ChangeLog-2008: Moved old ChangeLog.

For older changes see ChangeLog-2008

Copyright (C) 2009 Free Software Foundation, Inc.

Copying and distribution of this file, with or without modification,
are permitted in any medium without royalty provided the copyright
notice and this notice are preserved.

Local Variables:
mode: change-log
left-margin: 8
fill-column: 74
version-control: never
End:
